GET

/v1/schemas/fal/video/fal-ai/kling-video/o3/pro/video-to-video/reference?kind=output

kind outputactivity videohash 505f7031…extracted Jul 6, 2026version currentsource upstream spec ↗
fieldrecorded source
schemaSource linked above.
Source trace
cff91737a18ebfeac6ff462cd2dd13337e3e0d6453e130be4e6d924c348eedbf
{
  "fetchedAt": 1783329487,
  "extractorVersion": "1",
  "verifiedAt": null
}

Response body

1 properties · 1 required · 1 $defs
propertytypedescriptionconstraints
video*FileThe generated video.

Types

1 $defs

Fileobject

file_sizeintegerThe size of the file in bytes.nullable
content_typestringThe mime type of the file.nullable
url*stringThe URL where the file can be downloaded from.
file_namestringThe name of the file. It will be auto-generated if not provided.nullable

Validate a payload

before you spend tokens
shell
$ curl -X POST https://modelschemas.com/v1/validate \
    -d '{"provider":"fal","endpointId":"fal-ai/kling-video/o3/pro/video-to-video/reference","payload":{…}}'
→ {"valid": false, "errors": [{"path": "#", "keyword": "required", …}]}